NewWacht Bench is live — AI-assisted development for Wacht
GET
/ai/actor-projects/{project_id}/board/items/{item_id}/assignments

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Path Parameters

project_id*string
item_id*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/ai/actor-projects/string/board/items/string/assignments"
{  "data": [    {      "id": "string",      "board_item_id": "string",      "thread_id": "string",      "assignment_role": "string",      "status": "string",      "instructions": "string",      "metadata": null,      "result_status": "string",      "result_summary": "string",      "result_payload": null,      "claimed_at": "2019-08-24T14:15:22Z",      "started_at": "2019-08-24T14:15:22Z",      "completed_at": "2019-08-24T14:15:22Z",      "rejected_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "state_version": "string"    }  ],  "total": 0,  "offset": 0,  "limit": 0}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}